#version 300 es

in vec4 aPosition;
in vec2 aTextureCoord;

uniform float uAspectRatio;

out vec2 v_originTexCoord;

void main() {
    vec2 pos = vec2(aPosition.x, aPosition.y);
    v_originTexCoord = aTextureCoord;
    gl_PointSize = 3.0;
    gl_Position = vec4(pos, aPosition.zw);
}